#product-overview {
	/* border: 3px solid red; */
	/* margin-top: 43px; */
	/* margin-top: 3.5rem; */
	/* background es un atajo */
	/* background: url('freedom.jpg'); */
	/* podemos hacer el mismo efecto usando la propiedad background-image */
	/* background-image: url('images/freedom.jpg'); */
	/* si queremos cambiar el color de fondo usamos background-color que es otra propiedad
	directa sin usar el atajo background */
	/* esta propiedad no sobreescribe a la anterior
	sino que se apilan, podemos definir multiples imagenes de fondo pero solo un color */
	/* background-color: red; */
	/* background size nos ayuda a definir el tamaño */
	/* si solo asignamos un valor a background size se refiere al ancho de la imagen y si lo dejamos 
	asi por defecto la imagen se repetira a lo largo y ancho del contenedor */
	/* si mandas los dos parametros asignas el ancho y alto, si solo mandas el primero asignas el ancho
	y el alto se calculca automaticamente para mantener la relacion de aspecto */
	/* background-size: 300px 100px; */
	/* se pueden asignar tambien porcentajes */
	/* background-size: 50% 100%; */
	/* background-size: auto 100%; */
	/* background-size: 100%; */
	/* si asignamos el ancho al 100% no se desborda la imagen a los lados pero tampoco
	hacia arriba o abajo aunque la altura  de la imagen sea mayor a la del contenedor */
	/* para no repetir */
	/* otra forma de asignar el tamaño sin medidas es usar el atributo cover
	que hace que la imagen se ajuste al contenedor sin importar el tamaño de la imagen
	pero que no se desborde
	la imagen siempre cubrirá el fondo, y no se deformará si el ancho del contenedor es menor al de la iamgen
	en vez de eso la recortará la imagen, de este modo COVER nos asegura que siempre la imagen cubrirá 
	todo el fondo */
	background-size: cover;
	/* contain funciona parecido pero se asgura de que siempre se muestre por completo
	la imagen dentro del contenedor */
	/* background-size: contain; */

	/* podemos mover la ubicacion de la imagen de fondo con la propiedad position */
	/* en este caso estamos haciendo que nuestra imagen se mueva 20px hacia la derecha,
	osea se define como la imagen se comportará en el eje x de forma relativa a su contenedor */
	/* si asignamos un segundo parametro se refiere al eje y */
	/* background-position: 20px 50px; */
	/* podemos usar tambien porcentajes por ejemplo */
	/* si asignamos porcentaje no deja espacios en blanco a la izquierda
	porque funciona diferente, con los porcentajes  */
	/* al asignar porcentajes estamos diciendo que cuando se redimensione
	el contenedor que porcentaje de la imagen deberia desbordarse hacia los lados */
	/* si solo asignamos uno de los dos en porcentaje el otro por defecto es 50% */
	/* si dejamos el segundo parametro en 50% lo que entiende css es que el contenido que no quepa
	hacia arriba o hacia abajo, el 50% se cortará de arriba y el otro 50% hacia abajo */
	/* background-position: 50% 10%; */
	/* podemos usar este atajo que lo que hará es asignar 50% en ambos valores
	con esto se recortara la imagen a lo alto y largo segun se requiera */
	/* background-position: center; */
	/* de este otro modo podemos indicar que queremos que no corte la imagen hacia la izquierda
	ni tampoco hacia arriba */
	/* background-position: left top; */
	/* y podemos combinar */
	background-position: left 10% bottom 20%;

	background-repeat: no-repeat;
	/* para repetir solo en x */
	/* background-repeat: repeat-x; */
	/* para repetir solo en y */
	/* background-repeat: repeat-y; */

	/* width: 100%; */
	/* con este cambio nuestro ancho sera el 100vw, osea el total del ancho
	de nuestra parte visible de la página */
	/* width: 100vw; */
	/* usamos 100% en vez de 100vw para evitar el problema de que se muestre la barra de desplazamiento
	horizontal */
	width: 100%;

	/* height: 528px; */
	/* con este cambio ahora nuestra imagen será de alto 33vh, es decir
	aproximadamente una tercera parte del total del alto visible de la pagina */
	height: 33vh;

	padding: 10px;
	position: relative;

	/* otras propiedades	 */
	/* si agregamos un borde a nuestro contenedor que tiene una imagen de fondo
	este borde no cubre completamente la imagen, en la mayorita de los casos quedará un fondo
	blanco debajo del borde y esto es debido a como css acomoda la imagen en el fondo */
	/* border: 5px dashed red; */
	/* la propiedad background origin especifica desde donde comenzará a mostrarse la imagen
	puede ser desde donde en el box model sea el borde, el padding o el contenido */
	/* dicho de otro modo border-box empezará la imagen desde donde inicia el borde, 
	padding box desde donde inicia el padding y content desde donde inicia el contenido */
	/* con background origin asignamos como la posicion de una caja es calculada mientras que con background clip
	determinamos si el fondo se extiende en el borde o no*/
	background-origin: border-box;
	/* podria decir que sobeescribe a origin */
	background-clip: padding-box;

	/* de este modo configuramos como la imagen se comporta al hacer scroll
	si ponemos como fixed se mantiene fija aunque hagamos scroll, la imagen se mantendrá en la misma ubicación
	se pueden combinar varias propiedades de attachment para que se comporte de distintas maneras */
	/* background-attachment: fixed; */

	/* esta es una forma corta de asignar las propiedades notar que al final agregamos border box
	esto es para asignar background origin, si solo asignamos uno se aplicara el mismo a background origin y clip
	si agregamos otro se aplicara cada uno en ese orden, y solo tendria sentido agregar ambos si los vamos
	a agregar diferentes */

	/* background: url("freedom.jpg") left 10% bottom 20%/cover no-repeat border-box; */
	/* background: url('images/freedom.jpg') left 10% bottom 20% / cover no-repeat
		border-box; */

	/* podriamos tambien agregar fixed al final de la lista de elementos */
	/* background: url('freedom.jpg') left 10% bottom 20% / cover no-repeat
		border-box fixed; */
	/* para agregar un gradiente se hace de este modo, los gradientes se tratan como si fueran imagenes
		y los argumentos que podemos mandar, son los colores del gradiente
		el primer argumento puede ser un color pero normalmente es la direccion del gradiente
		aqui un ejemplo usando la direccion del gradiente */
	/* background-image: linear-gradient(to left top, red, blue); */
	/* se puede tambien asignar con valores de angulos y podemos definir varios colores para el gradiente y se pueden usar
	los nombres, rgb o hex colors*/
	/* background-image: linear-gradient(30deg, red, blue,green,yellow,#fa923f); */
	/* podemos hacer una transition de un color a una transparencia, usar transparent es un color valido */
	/* background-image: linear-gradient(30deg, red, transparent); */
	/* podemos gradientes con valores rgba para agregar colores con transparencia */
	/* background-image: linear-gradient(180deg, red, rgba(0, 0, 0, 0.5)); */
	/* ademas de definir una lista de varios colores podemos definir donde empieza y termina cada uno */

	/* background-image: linear-gradient(
		180deg,
		red 70%, */
	/* con estos porcentajes le indicamos en que porcentaje del contenedor debe iniciar cada color
		aqui le decimos que en 70 inicia rojo, despues al llegar a 90 inicia el azul y por ultimo el de la 
		transparencia inicia en un momento automatico ya que no tiene porcentaje */
	/* blue 90%,
		rgba(0, 0, 0, 0.5)
	); */

	/* radial gradiente */
	/* por defecto los gradientes radiales se posicionan en el centro y de igual forma podemos mandar 
	directamente los colores que tendrá el gradiente formando una elipse, aquí tambien podemos definir una lista con
	varios colores,podemos agregar como primer parametro tambien circle para que el gradiente sea un circulo
	en lugar de una elipse */
	/* background-image: radial-gradient(circle,red,blue,green); */
	/* podemos definir donde empezará la figura del gradiente por ejemplo si queremos el ciruclo que empiece
	arriba podemos ponerle at top o podemos combiar con top left entre otros */
	/* background-image: radial-gradient(circle at top left,red,blue,green); */
	/* podemos agregar valores personalizados */
	/* podemos agregar porcentajes, de este modo estamos moviendo el circulo 20% ala izquierda
	y 50% hacia abajo, osea primer porcentaje es eje x y el segundo eje y */
	/* background-image: radial-gradient(circle at 20% 50%,red,blue,green); */
	/* igualmente podemos agregar tamaños fijos al circulo, con esta asignacion de 20px el circulo y el color que lo rodea serán de 20px  */
	/* background-image: radial-gradient(circle 20px at 20% 50%, red, blue, green); */
	/* igualmente podemos agregar tamaño a la elipse que es la que viene por defecto, la elipse como tiene dos medidas
	le tenemos que enviar 2 medidas igualmente de tamaño, primer valor es ancho, segundo altura */
	/* background-image: radial-gradient(ellipse 80px 20px at 20% 50%, red, blue, green); */
	/* hay otros valores que podemos mandar como farthest-side, closest-side, farthest-corner, closest-corner, etc, estos son
	exclusivos de radial gradient */
	/* background-image: radial-gradient(
		ellipse farthest-side at 20% 50%,
		red,
		blue,
		green
	); */
	/* se parece mucho al gradiente normal el recto, ya que podemos agregar paradas de colores igualmente
	aqui podemos tambien usar colores hexadecimales, rgba, transparent,etc etc, y ademas se pueden apilar unos a otros */
	/* background-image: radial-gradient(
		ellipse closest-corner at 20% 50%,
		red,
		blue 70%,
		green 90%,
		yellow
	); */
	/*podemos apilar las imagenes de fondo y gradientes, y estas se irán apilando en el orden en que se agregan */
	/* en este ejemplo agregamos un gradiente que va de un color a transparente, y luego agregamos una imagen
	con ciertas propiedades, por ultimo agregamos un color hasta el fondo, notar como cada grupo de propiedades, por ejemplo
	las que hacen referencia al gradiente, y las que hacen referencia a la imagen se separan con una coma 
	por último las del color que no tiene otra propiedad mas que la declaracion del color se coloca siempre hasta abajo
	puede haber varias imagenes y gradientes en una imagen, pero solo puede haber un color de fondo para un elemento*/

	/* modificamos nuestro bottom para recorrer la imagen mas hacia arriba, ya que ahora estaremos usando
	medidas de viewport */
	background: linear-gradient(to top, rgba(80, 68, 18, 0.6) 10%, transparent),
		url('images/freedom.jpg') center / cover no-repeat border-box, #ff1b68;

	/* este es el contenedor donde funcionará el width 100% de abajo */
	/* width: 50%; */
}

#product-overview h1 {
	position: absolute;
	left: 5%;
	bottom: 15%;
	/* otra cosa a considerar con los porcentajes, cuando tenemos top o bottom usando porcentajes
	esos top y bottom harán referencia a ya sea la base o la cima del contenedor donde se está aplicando
	es decir, si tenemos top 50% lo que se mostrará a la mitad del contenedor será la parte superior
	del contenedor donde se aplique, contando los margenes y todo el contenido, en cambio si
	es bottom hará referencia a la parte inferior, es una nota importante ya que entonces si usamos top 50% y bottom
	50% acomodarán el contenido de diferente manera */
	/* top:50%; */
	/* bottom:50%; */
	color: white;
	font-family: 'Anton', sans-serif;
	margin: 0;
	/* cuando tenemos position absolute en un elemento, y usamos medidas porcentuales
	en este caso esos porcentajes harán referencia al ancestro directo (o padre)
	del elemento que tenga una position diferente a static, recordar que static es el valor
	por defecto asi que su ancestro que tenga fixed, sticky, relative o absolute será de donde
	el porcentaje tomará su valor, aqui es 100% y ese 100% será referencia al 50% que se agrega arriba
	notar que ese 100% tomará del padre ademas del contenido, su padding  */
	/* width: 100%; */
	/* agregamos un tamaño de fuente, esto modifica la que viene por defecto
	para los elementos h1 */
	font-size: 1.6rem;
}

/* agregamos nuestro media query, una forma de explicar como funciona
esque debemos agregar @media, y entre parentesis la condición que se debe
cumplir para que se active la media query, aquí por ejemplo esta query
se activa al alcanzar en la pantalla un ancho de al menos 40rem de pixeles css
y lo que hacemos  es definir simples reglas css, estas sobreescribirán a
las que ya están declaradas porque tienen la misma especificidad pero
están declaradas después, aquí modificamos la altura de nuestra imágen que está
dentro de product-overview, movemos la imagen 50% horizontalmente y 25% verticalmente */
/* puede ser max-width y haria lo contrario, aplicaria los estilos mientras el ancho sea 
menor a 40 rem, porque si se pasa de 40rem ya no se cumpliria la condición */
/* podemos agregar mas de una condicion a nuestro media query usando operadores lógicos como en estos ejemplos
 */
/* 
de este modo verificamos que la condicion de ancho y altura minimo se cumplan 
para poder aplicar el media query y dar mayor dinamismo a nuestras queries
@media (min-width: 40rem) and (min-height:15rem) { */
/*podemos tambien verificar el ancho y la orientacion del dispositiv
si es landscape o portrait, aunque esto de la orientación podria darnos resultados no esperados
al estar usando nuestro query en escritorio por lo que se deberia usar con precaución
 @media (min-width: 40rem) and (orientation:portrait) { */
/* agregamos este query para mover la imagen mas hacia arriba en pantallas
pequeñas y que se pueda ver la cara de la mujer de la imagen */
@media (min-width: 40rem) and (min-height: 390px) {
	#product-overview {
		background-position: 50% 20%;
	}
}
/* para anchuras de 40rem y con alturas de 55 rem, es decir alturas grandes
la altura de la imagen se modificará a 40vh porque tendremos mayor espacio y nuestro fondo
se moverá para seguir centrandose en la cara de la mujer que sale en la imagen */
@media (min-width: 40rem) and (min-height: 40rem) {
	#product-overview {
		height: 40vh;
		background-position: 50% 25%;
	}
	/* para nuestro texto incrementamos el tamaño de fuente  3 rem, aprovechando
	que contamos con mayor espacio */
	#product-overview h1 {
		font-size: 3rem;
	}
}
/* podemos definir multiples media queryes una tras otra sin ningun problema, si ambas
media querys son true, se aplicará el efecto cascada y la ultima de la lista que sea true será
la que se aplique */
/* debemos prestar atención al orden en que definimos las media queries
si primero ponemos la de min 60 rem, y luego la de min 40 rem, la de 40rem siempre se aplicará
porque queremos que se aplique en resoluciones mayores a 40 rem, y 60 rem es mayor a 40rem
por eso ambas se evaluarán y se tomará la ultima, es una nota a considerar */

/* normalmente debemos colocar nuestros media query
hasta el final, de modo que sean mas facil de encontrar al ponerlos siempre ahi, 
además de garantizar que los media querys sobreescribirán a nuestros selectores siempre
en caso de ser verdad, ya que si ponemos los media querys al principio los selectores
que vengan despues invalidarán su funcionamiento, en este caso los vamos a dejar aquí a la mitad
del código con fines educativos */

/* @media (min-width: 60rem) {
	#product-overview {
		height: 50vh;
		background-position: 50% 25%;
	}
	#product-overview h1 {
		font-size: 5rem;
	}
} */

.section-title {
	color: #2ddf5c;
	text-align: center;
}

/*
.plan__list {
	/*
	/* usamos el width para que no use todo el ancho sino solo una parte al centro
	usamos el margin auto para que centre el contenido horizontalmente */
/* width: 100%; */
/* para centrar elementos horizontalmente podemos usar margin:auto, notar que solo funciona 
	con elementos a nivel de bloque, con un ancho explicitamente declarado como es este caso */
/* margin: auto; */
/* el contenido de plan list no está centrado a pesar de que el contenedor sí
	para centrar el contenido usamos text-align center */
/* text-align: center; */
/* } */

.plan {
	background: #d5ffdc;
	text-align: center;
	/* padding: 16px; */
	padding: 1rem;
	/* margin: 8px; */
	margin: 0.5rem 0;
	/* display: inline-block; */
	width: 100%;
	/* vertical-align: middle; */
}

.plan--highlighted {
	background: #19b84c;
	color: white;
	/* los valores que soporta box shadow son 
	1. horizontal offset
	2. vertical offset
	3. blur radius
	4. spread radius
	5. color

	los primeros 2 son obligatorios

	*/
	/* los colores tambien se pueden asignar con funciones 
	como en este caso usamos la función rgba que recibe 4 parametros
	el primero es el valor del color rojo, el segundo es el valor del color verde
	el tercero es el valor del color azul y el cuarto es el valor de la opacidad o transparencia
	*/
	/* box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.5); */
}

/* esta clase agrega estilos al texto que dice recommended */
.plan__annotation {
	background: white;
	color: #19b84c;
	/* padding: 8px; */
	padding: 0.5rem;
	box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.5);
	/* border radius tambien tiene shorthand */
	border-radius: 8px;
}

.plan__title {
	color: #0e4f1f;
}

.plan__price {
	color: #858585;
}

/* agregamos estilos personalizados para el div que debe tener énfasis */

.plan--highlighted .plan__title {
	color: white;
}

.plan--highlighted .plan__price {
	color: #0e4f1f;
}

.plan__features {
	/* list style none nos ayuda a remover los bullet points de las listas */
	list-style: none;
	margin: 0;
	padding: 0;
}

/* agregamos nuestro media query para modificar el estilo de nuestros planes
cuando esten en modo escritorio */
/* ademas de usar un and lógico podemos usar un or lógico */
/* en esta línea ambas condiciones se deben cumplir */
/* @media (min-width: 40rem) and (orientation:landscape) { */
/* mientras que acá estamos usando un or, así que solo es necesario que una se cumpla */
/* @media (min-width: 40rem), (orientation:landscape) { */
@media (min-width: 40rem) {
	/* vamos a modificar el contenedor de nuestros elementos de planes
	para que tome todo el ancho y centre el texto
	como estamos usando articles estos se van a centrar */
	.plan__list {
		width: 100%;
		/* text-align: center; */
		/* alineamos nuestra lista de planes al centro vertical y horizontalmente */
		display: flex;
		justify-content: center;
		align-items: center;
	}

	/* para nuestros planes de nuevo agregamos algunos estilos
	como poner los elementos como inline block, un ancho de 30% para que quepan
	los 3 planes en un renglon, los alineamos de nuevo verticalmente
	y agregamos propiedades de ancho minimo para que por ejemplo el boton que usamos
	no sea tan chico que el texto se desborde, ademas de agrega ancho maximo para 
	que no se expandan mucho. */

	.plan {
		/* para cada uno de nuestros planes igualmente vamos a hacer la alineación
		usando flexbox para centrar su contenido como columna, usamos
		space between para distribuir el contenido a lo largo del div y agregamos un alto fijo 
		para que los divs queden alineados */
		display: flex;
		flex-direction: column;
		justify-content: space-between;

		/* display: inline-block; */
		width: 30%;
		/* vertical-align: middle; */
		min-width: 13rem;
		max-width: 25rem;
		height: 28rem;
	}
	/* agregamos de nuevo nuestro box shadow que solo se mostrará para vistas de escritorio */
	.plan--highlighted {
		box-shadow: 2px 2px 2px 2px rgba(0, 0, 0, 0.5);
		/* asignamos un alto mas grande al div de enmedio y aumentamos su z index para que quede
		encima de los otros 2 divs */
		height: 30rem;
		z-index: 50;
	}
}

#key-features {
	background: #ff1b68;
	/* margin-top: 80px; */
	margin-top: 5rem;
	/* padding: 16px; */
	padding: 1rem;
}

#key-features .section-title {
	color: white;
	/* margin: 32px; */
	margin: 2rem;
}

.key-feature__list {
	list-style: none;
	margin: 0;
	padding: 0;
	text-align: center;
}

.key-feature__image {
	background: #ffcede;
	width: 128px;
	height: 128px;
	border: 2px solid #424242;
	border-radius: 50%;
	/* margin auto llena el espacio a los lados de forma equivalente
	por lo que centra el texto horizontalmente */
	margin: auto;

	padding: 1.5rem;
	/* padding: 20px; */

	/* podemos agregar estilos a svgs
	algunos de los estilos que podemos agregar son fill
	que agrega un relleno, stroke que agrega una linea alrededor del svg y stroke-width que agrega el grosor de la linea
	
	*/
}

@media (min-width: 40rem) {
	.key-feature {
		/* para nuestra vista de escritorio, nuestros elementos
		se colocarán en inline block para que esten todos
		en la misma linea */
		/* display: inline-block; */
		/* limitamos su ancho para que quepan 3 en linea */
		width: 30%;
		/* limitamos el ancho máximo para que coincida con el de nuestros planes
		y queden alineados */
		max-width: 25rem;
		/* alineamos verticalmente los elementos por la parte superior */
		/* vertical-align: top; */
	}

	/* eliminamos el inline block y la alineacion vertical de cada elemento de la lista
	de nuestros key-feature, y pasamos a convertir la lista que contiene esos elementos a flex
	para que quede como un row y procedemos a centrarlo verticalmente con justify-content */

	.key-feature__list {
		display: flex;
		justify-content: center;
	}
}

.key-feature__description {
	text-align: center;
	font-weight: bold;
	color: white;
	/* font-size: 20px; */
	font-size: 1.2rem;
}

/* agregar margen a cada elemento de la lista */
.plan__features li {
	/* margin: 8px 0; */
	margin: 0.5rem 0;
}

h1 {
	font-family: sans-serif;
}

/* estilos modal */
.modal {
	position: fixed;
	/* display: none; */
	/* cambiamos display none por opacity 0, esto es porque display no es un elemento que se pueda animar
	con un transition, además aplicamos un translateY para  sacar el elemento fuera de la pantalla
	y luego aplicar una transition para volver a meterlo a la pantalla moviendolo verticalmente fuera de la misma,
	podríamos moverlo usando las propiedades top o bottom, pero usamos el translate para poder hacer la animación
	de forma más fácil*/
	opacity: 0;
	transform: translateY(-3rem);
	/* si queremos transicionar todos los elementos aplicamos un transition: all; y esto
	aplica la animación de transición a cualquiera de las propiedades a las que se les puede aplicar, esta lista no incluye display
	como ya se mencionó anteriormente */
	/* transition: all; */
	/* podemos indicar si no queremos animar todo, la propiedad que queremos animar, por ejemplo si queremos animar
	o aplicar una transición a la opacidad, ponemos la propiedad opacidad, seguido del tiempo que queremos que dure, que puede ser
	en segundos o milisegundos, y podemos agregar varias propiedades para transicionar, separando por comas cada una, indicando 
	en cada una estos valores de tiempo */
	/* transition: opacity 0.5s, transform; */
	/* existen atributos especiales en cuanto a la duración, y es la función de tiempo que se usará, esta es el tercer atributo
	de la lista, y entre varias opciones está ease-in, ease out*/
	/* ease-in inicia lento y termina rapido */
	/* ease-out inicia rápido y termina lento */
	/* esto quiere decir que el inicio del movimiento será rápido o lento y aumentará o disminuirá según sea el caso, como
	ultima propiedad tenemos el delay, esto es que tanto tiempo tardará en comenzar la animación de la transición, por defecto es 0
	y es un valor opcional al igual que la función de tiempo que por defecto es linear*/
	/* todos estos paramétros permiten aplicar animaciones entre transiciones de atributos de elementos y nos permiten hacer cambios
	graduales entre opacidad, colores, movimiento entre otros */
	/* cabe hacer enfasis que no podemos filtrar cual transformación en especifico queremos animar así que la transicion se aplicara 
	a todas las transformaciones que tengamos */

	/* podemos cambiar la funcion de tiempo que usamos en nuestro elemento, por una que nos da más control sobre la aceleración y el tiempo
	que dura la animación, y es la función cubic-bezier, todas las funciones de tiempo que vienen preestablecidas
	en css se pueden lograr con una cubic-bezier, tales como la función ease-in y ease-out, esta recibe 4 parámetros
	los primeros dos son el valor de x1 y y1, los ultimos dos son el valor de x2 y y2, estos valores son coordenadas cuyo valor debe
	ir entre 0 y 1, aunque los valores que son exactamente 0 y 1 ya estan agregados por defecto ya que es desde donde
	parte nuestro curva bezier de la animación, estos valores que agregamos son otras 2 coordenadas, que harán entonces
	que la curva bezier tenga 4 puntos por los que se trazará la línea que define el cambio en el movimiento del elemento que estamos 
	animando en determinado valor de tiempo */
	/* el eje x (horizontal) es la marca de tiempo en la la linea de tiempo de la  animación y el eje y es el cambio en la animación */
	/* en palabras mas simples la coordenada 0,0 es el valor que tiene la animación antes de iniciar, y el valor de la coordenada 1,1
	es el valor cuando ya finaliza la animación, con la curva bezier podemos jugar con el movimiento que queremos que tenga esta animación */
	transition: opacity 200ms cubic-bezier(0.55, 0.055, 0.675, 0.19) 0.0s, transform 500ms cubic-bezier(0.55, 0.055, 0.675, 0.19);

	z-index: 200;
	top: 20%;
	left: 30%;
	width: 40%;
	background: white;
	padding: 1rem;
	border: 1px solid #ccc;
	box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
}

.modal__title {
	text-align: center;
	margin: 0 0 1rem 0;
}

.modal__actions {
	text-align: center;
}

.modal__action {
	border: 1px solid #0e4f1f;
	background: #0e4f1f;
	text-decoration: none;
	color: white;
	font: inherit;
	padding: 0.5rem 1rem;
	cursor: pointer;
}

.modal__action:hover,
.modal__action:active {
	background: #2ddf5c;
	border-color: #2ddf5c;
}

.modal__action--negative {
	background: red;
	border-color: red;
}

.modal__action--negative:hover,
.modal__action--negative:active {
	background: #ff5454;
	border-color: #ff5454;
}
